FILTER-SPAMASSASSIN(1)

NAME
filter-spamassassin - smtpd filter for SpamAssassin spamd

SYNOPSIS
filter-spamassassin [address] [limit]
filter-spamassassin version

DESCRIPTION
filter-spamassassin is a filter for smtpd(8) which can be used to filter mails based on decisions from SpamAssassin's spamd(1) daemon. Mails are piped to the daemon, which decides whether a mail is spam or not, according to its own configuration.

The arguments are as follows:

address
    Optionally set the address that SpamAssassin's spamd(1) listens on. Default value: localhost:783.

limit
    Optionally limit the number of bytes passed to spamd(1) after which the scanning is skipped and the mail is accepted. The accepted value must be larger than 0. Default value: 524288.

version
    Print the version and copyright information of filter-spamassassin to the standard output, then exit.

filter-spamassassin is supposed to be started as filter with smtpd(8). With filter-spamassassin enabled, smtpd(8) rejects detected spam mails with a SMTP 554 reply. Non-spam mails are always accepted.

SPAMASSASSIN CONFIGURATION
The default filter-spamassassin configuration expects SpamAssassin's spamd(1) to listen on localhost port 783 for incoming requests. This matches to the default configuration of the daemon.

EXIT STATUS

EXAMPLES
Start filter-spamassassin connecting to spamd running on another host:

    $ filter-spamassassin spamd.example.net:783

Print version and copyright information of filter-spamassassin to the standard output stream and exit successfully:

    $ filter-spamassassin version

SEE ALSO
spamd(1), smtpd.conf(5), smtpd(8)

STANDARDS
J. Klensin, October 2008, RFC 5321, Simple Mail Transfer Protocol.

HISTORY
The first version of filter-spamassassin appeared back in January 2019.

AUTHORS
-nosplit filter-spamassassin was written by Joerg Jung <mail@umaxx.net>.

CAVEATS
Spam messages can not be accepted.

HOMEPAGE
https://www.umaxx.net/